﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Reporting;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridPrinting
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            xamDataGrid1.Loaded += new RoutedEventHandler(xamDataGrid1_Loaded);
        }

        void xamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 5; i++)
            {
                UnboundField ubField = new UnboundField();
                xamDataGrid1.FieldLayouts[0].Fields.Add(ubField);
                ubField.Label = xamDataGrid1.FieldLayouts[0].Fields[ubField.Index - 1].Label + Environment.NewLine + "even longer field";
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Report reportObj = new Report();
            EmbeddedVisualReportSection section = new EmbeddedVisualReportSection(xamDataGrid1);
            reportObj.Sections.Add(section);
            reportObj.ReportSettings.HorizontalPaginationMode = HorizontalPaginationMode.Mosaic;
            reportObj.ReportSettings.PageOrientation = Infragistics.Windows.Reporting.PageOrientation.Landscape;
            progressInfo.Report = reportObj;
            XamReportPreview1.GeneratePreview(reportObj, false, false);
        }
    }
}
